<?php
$fields[] = array(
    'type' => 'typography',
    'settings' => 'body_font',
    'label' => esc_html__('Body Font', 'marketo'),
    'section' => 'styling_section',
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => 'regular',
        'font-size' => '14px',
        'font-weight' => '400',
        'line-height' => '1.5',
    ),
    'output' => array(
        array(
            'element' => '.fonts-loaded body',
        ),
    ),
);
$fields[] = array(
    'type' => 'typography',
    'settings' => 'h1_font',
    'label' => esc_html__('H1 Font', 'marketo'),
    'section' => 'styling_section',
    'default' => array(
        'font-family' => 'Roboto',
    ),
    'output' => array(
        array(
            'element' => '.fonts-loaded h1',
        ),
    ),
);
$fields[] = array(
    'type' => 'typography',
    'settings' => 'h2_font',
    'label' => esc_html__('H2 Font', 'marketo'),
    'section' => 'styling_section',
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => 'regular',
        'font-size' => '14px',
        'font-weight' => '400',
        'line-height' => '1.5',
    ),
    'output' => array(
        array(
            'element' => '.fonts-loaded h2',
        ),
    ),
);
$fields[] = array(
    'type' => 'typography',
    'settings' => 'h3_font',
    'label' => esc_html__('H3 Font', 'marketo'),
    'section' => 'styling_section',
    'default' => array(
        'font-family' => 'Roboto',
    ),
    'output' => array(
        array(
            'element' => '.fonts-loaded h3',
        ),
    ),
);
$fields[] = array(
    'type' => 'typography',
    'settings' => 'h4_font',
    'label' => esc_html__('H4 Font', 'marketo'),
    'section' => 'styling_section',
    'default' => array(
        'font-family' => 'Roboto',
    ),
    'output' => array(
        array(
            'element' => '.fonts-loaded h4',
        ),
    ),
);
$fields[] = array(
    'type' => 'typography',
    'settings' => 'h5_font',
    'label' => esc_html__('H5 Font', 'marketo'),
    'section' => 'styling_section',
    'default' => array(
        'font-family' => 'Roboto',
    ),
    'output' => array(
        array(
            'element' => '.fonts-loaded h5',
        ),
    ),
);
$fields[] = array(
    'type' => 'typography',
    'settings' => 'h6_font',
    'label' => esc_html__('H6 Font', 'marketo'),
    'section' => 'styling_section',
    'default' => array(
        'font-family' => 'Roboto',
    ),
    'output' => array(
        array(
            'element' => '.fonts-loaded h6',
        ),
    ),
);
$fields[] = array(
    'type' => 'typography',
    'settings' => 'paragraph_font',
    'label' => esc_html__('Paragraph Font', 'marketo'),
    'section' => 'styling_section',
    'default' => array(
        'font-family' => 'Roboto',
    ),
    'output' => array(
        array(
            'element' => '.fonts-loaded p',
        ),
    ),
);

$fields[] = array(
    'type' => 'switch',
    'label' => esc_html__('Enable RTL', 'marketo'),
    'settings' => 'marketo_rtl',
    'section' => 'styling_section',
    'default' => 0,
    'choices' => array(
        'on' => esc_attr__('Enable', 'marketo'),
        'off' => esc_attr__('Disable', 'marketo'),
    ),
);
